<!-- Variables à portée composant -->
<!-- UI mis à jours lors de changement -->
<script>
	export let data;
	const calculerAge = (date) => {
		let [ DD, MM, YYYY] = date.split('/')
		let dateNaissance = new Date(YYYY, MM, DD )
    	var diff = Date.now() - dateNaissance.getTime();
    	return (diff / (1000 * 60 * 60 * 24 * 365)).toFixed(1);
	}
	let age = calculerAge(data.naissance)

</script>

<div> 
	<b> Race : {data.race} </b>
	<br>
	<b> Age : { age } ans </b>
	<br>
	<b> Date de naissance : {data.naissance} </b>
	<br>
</div>